# $Revision: 1.11 $, $Date: 2005/01/04 08:50:41 $
Summary:	Generic Data Structures Library
Summary(pl):	Biblioteka podstawowych struktur danych
Name:		gdsl
Version:	1.3
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://freesoftware.fsf.org/download/gdsl/%{name}-%{version}.tar.gz
# Source0-md5:	9981f1ced783e30f50247e39179706bc
URL:		http://www.freesoftware.fsf.org/gdsl/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GDSL (Generic Data Structures Library) is a portable and
OS-independant generic data structures manipulation library fully
written in pure ANSI C from scratch, for C programmers. Most common
data structures are available with powerful algorithms and hidden
implementation. Available structures are lists, queues, stacks, hash
tables, binary trees, search binary trees, red-black trees, 2D arrays,
and permutations.

%description -l pl
GDSL (Generic Data Structures Library) to przenona i niezalena od
systemu operacyjnego biblioteka operacji na podstawowych strukturach
danych, napisana od zera w czystym ANSI C, dla programistw C.
Wikszo oglnych struktur danych jest dostpna wraz z potnymi
algorytmami i ukryt implementacj. Dostpne struktury to listy,
kolejki, stosy, tablice haszujce, drzewa binarne, drzewa wyszukiwa
binarnych, drzewa czerwono-czarne, tablice dwuwymiarowe i permutacje.

%package devel
Summary:	Header files and development documentation for Generic Data Structures Library
Summary(pl):	Pliki nagwkowe i dokumentacja do biblioteki podstawowych struktur danych
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for Generic Data Structures
Library.

%description devel -l pl
Pliki nagwkowe i dokumentacja do biblioteki podstawowych struktur
danych.

%package static
Summary:	Static Generic Data Structures Library
Summary(pl):	Statyczna biblioteka podstawowych struktur danych
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static Generic Data Structures Library.

%description static -l pl
Statyczna biblioteka podstawowych struktur danych.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc src/examples/* doc/html/*.html doc/html/*.css doc/html/*.png
%attr(755,root,root) %{_bindir}/%{name}-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%dir %{_includedir}/gdsl
%{_includedir}/gdsl/*.h
%{_includedir}/*.h

%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gdsl.spec,v $
Revision 1.11  2005/01/04 08:50:41  qboosh
- typo, cleanups, moved -config to -devel and fixed perms

Revision 1.10  2005/01/01 12:04:06  djrzulf
- updated to 1.3 (from pld-devel-pl Mateusz Murawski)
- added to devel docs in html,

Revision 1.9  2003/05/28 12:58:58  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:47:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/11/25 14:13:03  ankry
- massive attack: no need for 755 for *.la

Revision 1.6  2002/09/25 12:02:22  kloczek
- release 3.

Revision 1.5  2002/09/24 15:04:11  kloczek
- more macros.

Revision 1.4  2002/07/11 07:57:05  qboosh
- fixed typo in Requires; release 2

Revision 1.3  2002/07/10 02:31:44  kloczek
- regenerate also lt files,
- added BuildRequires rules.

Revision 1.2  2002/07/07 20:55:39  qboosh
- pl description, added missing dir to -devel

Revision 1.1  2002/07/03 15:55:32  blues
- initial release
